import * as zod from 'zod';
import { ZodSchema } from 'zod';

/**
 * This is a workaround for the fact that NestJS Config doesn't support Zod Validation
 */
declare const validationOptions: {
    validate: (config: unknown, schema: ZodSchema) => {
        error: zod.ZodError<any>;
        value: undefined;
    } | {
        error: undefined;
        value: any;
    };
};
/**
 * This is a workaround for the fact that NestJS Config doesn't support Zod Validation
 * @param schema - Zod Schema to validate against
 */
declare const validationSchema: (schema: ZodSchema) => {
    validate: (config: unknown, validationOptions: {
        validate: (config: unknown, schema: ZodSchema) => any;
    }) => any;
};

export { validationOptions, validationSchema };
